import 'package:circular_splash_transition/controller.dart';
import 'package:circular_splash_transition/push_and_pop.dart';
import 'package:flutter/material.dart';

class CircularSplash extends StatelessWidget {
  CircularSplash({Key key, @required this.controller, @required this.child})
      : duration = controller.duration,
        color = controller.color,
        super(key: key);

  final Duration duration;
  final Color color;
  final CircularSplashController controller;
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: <Widget>[
        child,
        CircularSplashPushAndPop(controller, duration, color),
      ],
    );
  }
}
